Loading...
Searching...
No Matches
inplace_merge.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity> requires bidirectional_iterator<I> && sortable<I, C, P>
I | ranges::inplace_merge (I first, I middle, S last, C pred=C{}, P proj=P{})
| function template `inplace_merge`
template<typename Rng , typename C = less, typename P = identity> requires bidirectional_range<Rng> && sortable<iterator_t<Rng>, C, P>
borrowed_iterator_t< Rng > | ranges::inplace_merge (Rng &&rng, iterator_t< Rng > middle, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.